var Carte = function(name, type, color, effect, correspondante, attack, pv, cout) {
    this.name = name;
    this.type = type;
    this.color = color;
    this.effect = effect;
    this.correspondante = correspondante;
    this.attack = attack;
    this.pv = pv;
    this.cout = cout;
}

var Deck = [
    new Carte("EclipseBlanche", "AI", "blanche", "effect0", "EclipseNoire", 0, 0, 0),
    new Carte("EclipseNoire", "AI", "noire", "effect0", "EclipseBlanche", 0, 0, 0),
    new Carte("CheminDamné", "AC", "noire", "effect1", "Régénération", 0, 0, 0),
    new Carte("Adrénaline", "AC", "noire", "effect2", "Abondance", 0, 0, 0),
    new Carte("LuneRouge", "AC", "noire", "effect3", "ReinedelEclipse", 0, 0, 1),
    new Carte("Agression", "AI", "noire", "effect4", "FleurDeVie", 0, 0, 0),
    new Carte("Oubli", "AI", "noire", "effect5", "FidèleDéfenseur", 0, 0, 0),
    new Carte("Réveil", "AI", "noire", "effect6", "VoyageurAstral", 0, 0, 0),
    new Carte("Peur", "AI", "noire", "effect7", "LancerDeTarte", 0, 0, 1),
    new Carte("PuissanceRedoutable", "AI", "noire", "effect8", "CompagnonAnimal", 0, 0, 1),
    new Carte("ReposFinal", "AI", "noire", "effect9", "AntiqueGolem", 0, 0, 2),
    new Carte("Abondance", "AC", "blanche", "effect10", "Adrénaline", 0, 0, 0),
    new Carte("Renouveau", "AC", "blanche", "effect11", "ArbreMaudit", 0, 0, 0),
    new Carte("DoubleSoleil", "AC", "blanche", "effect12", "RoiDeLEclipse", 0, 0, 1),
    new Carte("Soin", "AI", "blanche", "effect13", "FleurDeMort", 0, 0, 0),
    new Carte("LancerDeTarte", "AI", "blanche", "effect14", "Peur", 0, 0, 0),
    new Carte("BonConseil", "AI", "blanche", "effect15", "Cauchemar", 0, 0, 0),
    new Carte("MomentDeCalme", "AI", "blanche", "effect16", "EspritTroublé", 0, 0, 1),
    new Carte("Régénération", "AI", "blanche", "effect17", "CheminDamné", 0, 0, 1),
    new Carte("Lucidité", "AI", "blanche", "effect18", "RôdeurVigilant", 0, 0, 2),

    new Carte("CoeurDeLaLuneBlanche", "Creature", "blanche", "noeffect", "CoeurDeLaLuneNoire", 5, 5, 3),
    new Carte("CoeurDeLaLuneNoire", "Creature", "noire", "noeffect", "CoeurDeLaLuneBlanche", 5, 5, 3),
    new Carte("FleurDeMort", "Creature", "noire", "effect19", "Soin", 1, 1, 0),
    new Carte("RôdeurVigilant", "Creature", "noire", "noeffect", "Lucidité", 3, 1, 0),
    new Carte("ArbreMaudit", "Creature", "noire", "effect20", "Renouveau", 2, 3, 0),
    new Carte("Cauchemar", "Creature", "noire", "noeffect", "BonConseil", 4, 2, 1),
    new Carte("ChevalierDuCrépuscule", "Creature", "noire", "effect21", "Observateur", 3, 2, 1),
    new Carte("LycanthropeNuit", "Creature", "noire", "effect22", "LycanthropeJour", 4, 1, 1),
    new Carte("EspritTroublé", "Creature", "noire", "effect23", "MomentDeCalme", 2, 2, 2),
    new Carte("RoiDeLEclipse", "Creature", "noire", "effect24", "DoubleSoleil", 4, 2, 2),
    new Carte("Faucheuse", "Creature", "noire", "effect25", "DanseuseDeLAube", 1, 4, 2),
    new Carte("FleurDeVie", "Creature", "blanche", "effect26", "Agression", 0, 2, 0),
    new Carte("VoyageurAstral", "Creature", "blanche", "noeffect", "Réveil", 2, 2, 0),
    new Carte("Observateur", "Creature", "blanche", "effect27", "ChevalierDuCrépuscule", 1, 2, 0),
    new Carte("FidèleDéfenseur", "Creature", "blanche", "effect28", "Oubli", 1, 3, 1),
    new Carte("CompagnonAnimal", "Creature", "blanche", "effect29", "PuissanceRedoutable", 2, 2, 1),
    new Carte("LycanthropeJour", "Creature", "blanche", "effect30", "LycanthropeNuit", 1, 4, 1),
    new Carte("ReinedelEclipse", "Creature", "blanche", "effect31", "LuneRouge", 3, 3, 2),
    new Carte("DanseuseDeLAube", "Creature", "blanche", "effect32", "Faucheuse", 2, 4, 2),
    new Carte("AntiqueGolem", "Creature", "blanche", "noeffect", "ReposFinal", 3, 5, 2),
]
